Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.client.remote
Class AbstractAppModuleRequestHandler

`java.lang.Object
oracle.jbo.client.remote.AbstractAppModuleRequestHandler`

All Implemented Interfaces:
  AppModuleRequestHandler

Direct Known Subclasses:
  ColoApplicationModuleImpl, EJBApplicationModuleImpl, PooledRequestHandler

public abstract class AbstractAppModuleRequestHandler
extends java.lang.Object
implements AppModuleRequestHandler

Constructor Summary
`protected` | `AbstractAppModuleRequestHandler(ApplicationModuleImpl applicationModule, ResponseValues amInfo)`

Method Summary
`protected ApplicationModuleImpl` | `createApplicationModule(int remoteId, java.lang.String name, java.lang.String defName)`
`protected abstract ApplicationModuleImpl` | `createProxyApplicationModule(ResponseValues amRef)`
`protected ApplicationModuleImpl` | `findApplicationModule(int remoteId, java.lang.String name)`
`protected abstract ResponseValues` | `getAMFullRef(ResponseValues amRef)`
`ApplicationModuleImpl` | `getApplicationModule()`
`ObjectMarshaller` | `getObjectMarshaller()`
`protected byte[]` | `getPiggyback()`
`ApplicationModuleImpl` | `getRootApplicationModule()`
`protected ServiceMessage` | `getServiceMessage()`
`void` | `init()`
`void` | `init(java.util.Hashtable env)`
`abstract boolean` | `isMarshalledLocally()`
`boolean` | `isRemoved()`
`void` | `processJboException(JboException ex)`
`void` | `processPiggyback(byte[] pb)`
`void` | `processServiceMessage(ServiceMessage sm)`
`java.lang.Object` | `readMethodResponse(java.lang.String methodName, ServiceMessage sm)`
`ResponseValues` | `riGetApplicationModuleInfo()`
`java.lang.String` | `riGetClientProxyClassName()`
`java.lang.Object` | `riInvokeExportedMethod(java.lang.Object target, java.lang.String methodName, java.lang.String[] argTypes, java.lang.Object[] args)`
`ApplicationModuleImpl` | `searchProxyByFullName(java.lang.String name)`
`ApplicationModuleImpl` | `searchProxyByName(java.lang.String name)`
`protected Response` | `sendRequestReceiveResponse(java.lang.String reqName, boolean procPendingPosts, Request req)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.common.AppModuleRequestHandler
`doMessage, isLocal, riRemove`

Constructor Detail

### AbstractAppModuleRequestHandler

    protected AbstractAppModuleRequestHandler(ApplicationModuleImpl applicationModule,
                                              ResponseValues amInfo)

Method Detail

### isMarshalledLocally

    public abstract boolean isMarshalledLocally()

### getAMFullRef

    protected abstract ResponseValues getAMFullRef(ResponseValues amRef)

### createProxyApplicationModule

    protected abstract ApplicationModuleImpl createProxyApplicationModule(ResponseValues amRef)

### getApplicationModule

    public ApplicationModuleImpl getApplicationModule()

### getRootApplicationModule

    public ApplicationModuleImpl getRootApplicationModule()

### init

    public void init(java.util.Hashtable env)

### init

    public void init()

### getPiggyback

    protected byte[] getPiggyback()

### getServiceMessage

    protected ServiceMessage getServiceMessage()

### getObjectMarshaller

    public ObjectMarshaller getObjectMarshaller()

### processJboException

    public void processJboException(JboException ex)

### processServiceMessage

    public void processServiceMessage(ServiceMessage sm)

### processPiggyback

    public void processPiggyback(byte[] pb)

### readMethodResponse

    public java.lang.Object readMethodResponse(java.lang.String methodName,
                                               ServiceMessage sm)

### isRemoved

    public boolean isRemoved()

### riGetApplicationModuleInfo

    public final ResponseValues riGetApplicationModuleInfo()

  Specified by:
    `riGetApplicationModuleInfo` in interface `AppModuleRequestHandler`

### riGetClientProxyClassName

    public final java.lang.String riGetClientProxyClassName()

### riInvokeExportedMethod

    public java.lang.Object riInvokeExportedMethod(java.lang.Object target,
                                                   java.lang.String methodName,
                                                   java.lang.String[] argTypes,
                                                   java.lang.Object[] args)

### searchProxyByName

    public ApplicationModuleImpl searchProxyByName(java.lang.String name)

### searchProxyByFullName

    public ApplicationModuleImpl searchProxyByFullName(java.lang.String name)

### sendRequestReceiveResponse

    protected Response sendRequestReceiveResponse(java.lang.String reqName,
                                                  boolean procPendingPosts,
                                                  Request req)

### createApplicationModule

    protected ApplicationModuleImpl createApplicationModule(int remoteId,
                                                            java.lang.String name,
                                                            java.lang.String defName)

### findApplicationModule

    protected ApplicationModuleImpl findApplicationModule(int remoteId,
                                                          java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.